#ifndef BITMAP_H
#define BITMAP_H

#include "PalmTypes.h"

typedef UInt8 *BitmapPtr;

typedef enum {
  kDensityLow = 72,
  kDensityOneAndAHalf = 108,
  kDensityDouble = 144,
  kDensityTriple = 216,
  kDensityQuadruple = 288
} DensityType;

typedef enum {
  BitmapCompressionTypeScanLine = 0,
  BitmapCompressionTypeRLE,
  BitmapCompressionTypePackBits,
  BitmapCompressionTypeEnd,
  BitmapCompressionTypeBest = 0x64,
  BitmapCompressionTypeNone = 0xFF
} BitmapCompressionType;

extern void BmpGetDimensions(const BitmapPtr bitmapP, UInt16 *widthP, UInt16 *heightP, UInt16 *rowbytesP);
extern UInt8 BmpGetBitDepth(const BitmapPtr bitmapP);
extern UInt8 BmpGetVersion(const BitmapPtr bitmapP);
extern UInt16 BmpGetDensity(const BitmapPtr bitmapP);
extern BitmapPtr BmpGetNextBitmap(const BitmapPtr bitmapP);
extern BitmapCompressionType BmpGetCompressionType(const BitmapPtr bitmapP);

#endif