#ifndef DATAMGR_H__07093618_0A3A_7777_449D_7D9936FD43BB
#define DATAMGR_H__07093618_0A3A_7777_449D_7D9936FD43BB

#include <windows.h>
/*
    Declarations for PocketPC implementation of Palm OS DataMgr.h
*/
#include "PalmTypes.h"


typedef struct {
  UInt8 attributes;
  UInt8 uniqueID[3];
} SortRecordInfoType;

typedef SortRecordInfoType *SortRecordInfoPtr;

typedef struct
{ 
    LocalID nextRecordListID; 
    UInt16 numRecords; 
    UInt16 firstEntry; 
} RecordListType;

typedef struct
{ 
    LocalID localChunkID; 
    UInt8 attributes; 
    UInt8 uniqueID[3];

    /*
        Added by chrisb
    */
    UInt32 recordLength;
} RecordEntryType;

typedef struct
{ 
    UInt8 name[32]; 
    UInt16 attributes; 
    UInt16 version; 
    UInt32 creationDate; 
    UInt32 modificationDate; 
    UInt32 lastBackupDate; 
    UInt32 modificationNumber; 
    LocalID appInfoID; 
    LocalID sortInfoID; 
    UInt32 type; 
    UInt32 creator; 
    UInt32 uniqueIDSeed; 
    RecordListType recordList; 
} DatabaseHdrType;


typedef struct
{

    DatabaseHdrType m_header;
    RecordListType *m_recordLists;
    RecordEntryType *m_recordEntries;

    UInt32 m_numRecordLists;
    UInt16 m_numRecordEntries;
    UInt32 m_appInfoBlockLength;
    UInt32 m_maxRecordLength;

    HANDLE m_fileHandle;
    HANDLE m_memHandle;

    UInt8 *m_startOfFile;
    UInt8 *m_filePointer;

    Boolean m_constructed;
} DmDatabase;

typedef DmDatabase *DmOpenRef;

typedef UInt16 DmResID;
typedef UInt32 DmResType;

extern DmOpenRef DmOpenDatabase(LPCTSTR fileName);
extern MemHandle DmQueryRecord(DmOpenRef dbP, UInt16 index);
extern Err DmCloseDatabase(DmOpenRef dbP);
extern UInt16 DmNumRecords(DmOpenRef dbP);
extern Err DmCreateDatabaseFromImage(LPCTSTR filename, const MemPtr bufferP, UInt32 size);


#endif

