#include "Manifest.h"
#include "DataMgr.h"
#include "MemoryMgr.h"
#include "PDAVShowGuide.h"


Boolean Manifest_checkManifest(void)
{
  DmOpenRef manifestDatabase;
  Boolean success = false;
  
  manifestDatabase = DmOpenDatabase(MANIFEST_DB_NAME);
  if (manifestDatabase)
  {
    UInt16 i;
    UInt16 numRecords;
    int len2 = _tcslen(SHOWGUIDE_DATA_DIR);

    numRecords = DmNumRecords(manifestDatabase);
    for (i = 0; i < numRecords; i++)
    {
      MemHandle hrec;
      MemPtr prec;
      UInt16 manifestVersion;
      Boolean mandatory;
      int len;
      int j;
      LPTSTR filename;
      LPTSTR pp;
      DmOpenRef db;
      const UInt8 *dbName; 
      const UInt8 *p;
      UInt16 version = 0;
      
      success = false;
      hrec = DmQueryRecord(manifestDatabase, i);
      prec = MemHandleLock(hrec);
      dbName = (const UInt8 *)prec;
      len = strlen(dbName);
      p = &dbName[len+1];
      manifestVersion = (p[0]<<8)|p[1];
      mandatory = (p[3]&0x1)?true:false;

      filename = malloc(sizeof(TCHAR) * (len2 + len + 5));

      _tcscpy(filename, SHOWGUIDE_DATA_DIR);
      pp = &filename[len2];

      for (j = 0; j < len; j++)
      {
        *(pp++) = (UInt8)(dbName[j]);
      }
      _tcscpy(pp, TEXT(".pdb"));

      db = DmOpenDatabase(filename);
      if (db)
      {
        version = db->m_header.version;
        if (version == manifestVersion)
        {
          success = true;
        }
        DmCloseDatabase(db);
      }

      if (!success)
      {
        success = ((!mandatory) && (version == 0));
      }

      free(filename);
      MemHandleUnlock(hrec);

      if (!success)
      {
        break;
      }
    }
    DmCloseDatabase(manifestDatabase);
  }

  return success;
}