#ifndef MAPVIEWER_H__39167C7B_6BBF_0C39_0849_60FE29C352CD
#define MAPVIEWER_H__39167C7B_6BBF_0C39_0849_60FE29C352CD

#include "Map.h"
#include "reader-toolbar.h"

typedef struct
{
    Map *m_map;
    float m_scale;

    /*
        In map coordinates.
    */
    Int32 m_xCentre;
    Int32 m_yCentre;

    /*
        In screen coordinates.
    */
    Int32 m_xOffset;
    Int32 m_yOffset;
    UInt32 m_xMouseDown;
    UInt32 m_yMouseDown;

    Boolean m_mouseMovedSinceButtonDown;

    HWND m_hwnd;
    HWND m_toolbar;

    RECT m_highlightRect;
    INT_PTR m_highlightTimer;
    Boolean m_highlightOn;

    Library *m_library;

} MapViewer;

extern MapViewer *theMapViewer;

extern MapViewer *MapViewer_new(LPCTSTR dbName, Library *library);
extern void MapViewer_delete(MapViewer *self);

extern void MapViewer_initialise(MapViewer *self, const RECT *windowRect);
extern void MapViewer_centre(MapViewer *self, const RECT *windowRect);
extern void MapViewer_show(MapViewer *self, Library *library, RECT *windowRect);
extern void MapViewer_setHighlight(MapViewer *self, RECT *highlightRect);
extern LRESULT CALLBACK MapViewer_WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);


#endif

