#include <windows.h>
#include "MemoryMgr.h"


MemHandle MemHandleNew(UInt32 size)
{
    MemHandle memHandle = malloc(sizeof(*memHandle));
    if (memHandle != NULL)
    {
        memHandle->m_ptr = malloc(size);
        if (memHandle->m_ptr == NULL)
        {
            free(memHandle);
            memHandle = NULL;
        }
        else
        {
            memHandle->m_size = size;
            memHandle->m_freeable = true;
        }
    }
    return memHandle;
}

MemHandle MemHandleNewWithPointer(UInt32 size, MemPtr ptr)
{
    MemHandle memHandle = malloc(sizeof(*memHandle));
    if (memHandle != NULL)
    {
        memHandle->m_ptr = ptr;
        memHandle->m_size = size;
        memHandle->m_freeable = false;
    }
    return memHandle;
}

UInt32 MemHandleSize(MemHandle h)
{
    if (h)
    {
        return h->m_size;
    }
    return 0;
}

MemPtr MemHandleLock(MemHandle h)
{
    if (h)
    {
        return h->m_ptr;
    }
    return NULL;
}

Err MemHandleUnlock(MemHandle h)
{
    return 0;
}

Err MemHandleFree(MemHandle h)
{
    if (h)
    {
        if (h->m_freeable)
        {
            free(h->m_ptr);
        }
        free(h);
    }
    return 0;
}
