#ifndef SESSIONSEARCHSCREEN_H__56F4193D_558A_1437_4B0D_55D95A812582
#define SESSIONSEARCHSCREEN_H__56F4193D_558A_1437_4B0D_55D95A812582

#include <windows.h>
#include "library.h"

enum
{
  CB_TRACK,
  CB_KEYWORD,
  CB_DATE,

  NUM_COMBOBOXES
};

enum
{
  ST_DESCRIPTION,
  ST_TRACK,
  ST_KEYWORD,
  ST_DATE,
  ST_CME,

  NUM_STATICS
};

typedef struct
{
  const char *m_textDate;
  UInt32 m_year;
  UInt32 m_month;
  UInt32 m_day;

}DateMapper;

typedef struct
{
  const char *m_track;
  const char *m_description;
} Track;

typedef struct
{
  const char *m_keyword;
  const char *m_description;
} Keyword;

typedef struct
{
  Library *m_library;

  HWND m_hwnd;
  HWND m_toolbar;

  HWND m_editBox;

  HWND m_comboBoxes[NUM_COMBOBOXES];
  HWND m_statics[NUM_STATICS];

  HWND m_button;


  UInt32 m_tracksCount;
  UInt32 m_tracksSize;
  Track *m_tracks;

  UInt32 m_keywordsCount;
  UInt32 m_keywordsSize;
  Keyword *m_keywords;

  UInt32 m_datesCount;
  UInt32 m_datesSize;
  DateMapper *m_dates;

} SessionSearchScreen;

extern SessionSearchScreen *theSessionSearchScreen;

extern SessionSearchScreen *SessionSearchScreen_new(Library *library, RECT *windowRect, int year, int month, int day, const char *keyword, const char *track, const char *cme);
extern void SessionSearchScreen_delete(SessionSearchScreen *self);
extern LRESULT CALLBACK SessionSearchScreen_WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

#endif

