/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: colormap control
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * The colormap control is used to allow a user to select any color from
 * the HSV colorspace.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __COLORMAP_CTL_H__
#define __COLORMAP_CTL_H__

#include <windows.h>


/* CCM_GET_COLOR
 *    wParam = 0
 *    lParam = 0
 */
#define CCM_GET_COLOR        ( WM_USER + 1 )

/* CCM_SET_COLOR
 *    wParam = COLORREF
 *    lParam = 0
 */
#define CCM_SET_COLOR        ( WM_USER + 2 )

/* Notification message (sent via WM_COMMAND) that indicates that the color has
 * changed in the control. */
#define CCN_COLOR_CHANGED    (   1 )


#define COLORMAP_WIDTH       ( 202 )
#define COLORMAP_HEIGHT      ( 127 )


/**
 * Registers the colormap control class.
 */
ATOM RegisterColormapControl( HINSTANCE hInst );

/**
 * Creates a new colormap control.  The control is of fixed size.
 */
HWND CreateColormapControl( HWND hParent,
                            HINSTANCE hInstance,
                            DWORD style,
                            int x,
                            int y,
                            DWORD id );

#endif /* __COLORMAP_CTL_H__ */
