/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: colorpicker dialog
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * This dialog is for selecting foreground/background colors for highlights
 * and annotations.  It uses the "colormap" control to allow the user to
 * define custom colors.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __COLORPICKER_H__
#define __COLORPICKER_H__

#include <windows.h>


/* this is the structure that defines how the color picker window behaves */
typedef struct
{
  BOOL      selected_foreground; /* whether or not a foreground color should be/has been selected */
  COLORREF  foreground;          /* the initial foreground color, and the resulting foreground color */
  BOOL      selected_background; /* whether or not a background color should be/has been selected */
  COLORREF  background;          /* the initial background color, and the resulting background color */

  COLORREF *fgcolors;            /* an array of 8 COLORREF elements, containing the user-defined foreground colors */
  COLORREF *bgcolors;            /* an array of 8 COLORREF elements, containing the user-defined background colors */

  TCHAR    *title;               /* the title of the window */

  HWND      hWnd;                /* the parent window */
} COLORPICKERDATA;


/* registers the color picker window class */
ATOM RegisterColorPicker( HINSTANCE hInst );


/* Opens the color picker dialog and allows the user to select the colors. Returns TRUE if the user
 * taps the OK button, or FALSE if the user cancels the operation. */
BOOL ColorPicker( COLORPICKERDATA *data );


#endif /* __COLORPICKER_H__ */
