/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: edit categories dialog
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * Displays a dialog box listing the categories that a specific document
 * belongs to, and allows the user to edit those categories.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __EDIT_CATEGORIES_H__
#define __EDIT_CATEGORIES_H__

#include <windows.h>
#include "vade_mecum.h"

typedef enum
{
  ECD_MODE_DOCUMENT, /* the dialog is for setting the categories of a document */
  ECD_MODE_FILTER    /* the dialog is for changing the current category filter */
} EditCategoriesMode;


/**
 * Registers the window class for the dialog.
 */
ATOM RegisterEditCategoriesDialog( HINSTANCE hInst );


/**
 * Shows the about dialog (modally).
 */
BOOL ShowEditCategoriesDialog( HWND hWnd,
                               EditCategoriesMode mode,
                               Library *library,
                               Document *document );

#endif /* __ABOUT_H__ */
