/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: image viewer module
 * Copyright 2004 by Henrik Kjoelhede
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * This module defines a window that displays images that are too large to 
 * display in the reader, or that are linked too directly.
 *
 * Author: Henrik Kjoelhede (henkj@users.sourceforge.net)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __IMAGE_VIEWER_H__
#define __IMAGE_VIEWER_H__

#include <windows.h>

#include "library.h"
#include "plkfmt.h"

UINT32 OpenImageViewer( HWND hWnd, Library *library, PluckerDB db, int record );

/**
 * The callback function for the image viewer window, used to register the window class.
 */
BOOL CALLBACK ImageViewerDialogProc( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );


#endif /* __IMAGE_VIEWER_H__ */