/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: library user interface module
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * This defines the interface used to instantiate the main library window.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __LIBRARY_UI_H__
#define __LIBRARY_UI_H__

#include <windows.h>

#define WM_REFRESH_LIBRARY ( WM_USER+1 )
#define WM_EXIT_VADE_MECUM ( WM_USER+2 )  /* LPARAM should be pointer to a string naming the current document */
#define WM_DO_POPUP_MENU   ( WM_USER+3 )

/**
 * The callback window procedure for the library window.  This is used to
 * register the library's window class.
 */
LRESULT CALLBACK LibraryWindowProc( HWND hWnd,
                                    UINT uMsg,
                                    WPARAM wParam,
                                    LPARAM lParam );

/**
 * Instantiates and returns a new library window.  The window is initially
 * not visible.
 */
HWND LibraryWindowNew( HINSTANCE hInst );


extern void OpenDocument( HWND hWnd, Document *document );

#endif /* __LIBRARY_UI_H__ */
