/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: reader interface module
 * Copyright 2003 by Jamis Buck
 * Portions copyright 2004 by Henrik Kjoelhede
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * This module defines the reader interface itself.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __READER_UI_H__
#define __READER_UI_H__

#include <windows.h>

#include "vade_mecum.h"
#include "resrc1.h"


/**
 * The reader window callback procedure, used to register the window class.
 */
LRESULT CALLBACK ReaderWindowProc( HWND hWnd,
                                   UINT uMsg,
                                   WPARAM wParam,
                                   LPARAM lParam );

/**
 * Opens a new reader window, occupying the given rectangle of the screen, for the given document.
 * If the document has no pagination cache, then the 'home' record is opened, otherwise the last
 * viewed record and position is opened.  If 'full-screen' is TRUE, the reader will occupy the entire
 * visible space of the screen.  The handle to the new reader (unshown) is returned.
 */
HWND OpenReaderWindow( Library *library,
                       Document *document,
                       RECT *area );

/**
 * Forces the reader to repaginate and redisplay the current document.
 */
void RepaginateReader( HWND hWnd );


#endif /* __READER_UI_H__ */
