/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: GUI utilities module
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *>=-----------------------------------------------------------------------=<*/

#include <windows.h>

#include "utilities.h"


HWND CreateStaticControl( HWND hParent, HINSTANCE hInst,
                          DWORD id, LPTSTR text, int x, int y, int width, int height,
                          DWORD style )
{
  HWND hStatic = NULL;

  hStatic = CreateWindow( L"static", text,
                          WS_CHILD | style,
                          x, y, width, height, hParent,
                          (HMENU)id, hInst, NULL );

  return hStatic;
}


HWND CreateEditControl( HWND hParent, HINSTANCE hInst, 
                        DWORD id, int x, int y, int width, int height,
                        DWORD style )
{
  HWND hEdit = NULL;

  hEdit = CreateWindow( L"edit", NULL, WS_CHILD | WS_BORDER | style,
                        x, y, width, height, hParent, (HMENU)id, hInst, NULL );

  return hEdit;
}


HWND CreateButtonControl( HWND hParent, HINSTANCE hInst, 
                          DWORD id, LPTSTR text,
                          int x, int y, int width, int height,
                          DWORD style, BOOL defbtn )
{
  HWND hButton = NULL;

  hButton = CreateWindow( L"button", text, WS_CHILD | ( defbtn ? BS_DEFPUSHBUTTON : BS_PUSHBUTTON ) | style,
                          x, y, width, height, hParent, (HMENU)id, hInst, NULL );

  return hButton;         
}


HWND CreateListBox( HWND hParent, HINSTANCE hInst, DWORD id,
                    int x, int y, int width, int height,
                    DWORD style )
{
  HWND hList = NULL;

  hList = CreateWindow( L"listbox", NULL, WS_CHILD | WS_BORDER | style, x, y, width, height,
                        hParent, (HMENU)id, hInst, NULL );

  return hList;
}


HWND CreateComboBox( HWND hParent, HINSTANCE hInst, DWORD id,
                     int x, int y, int width, int height,
                     DWORD style )
{
  HWND hBox = NULL;

  hBox = CreateWindow( L"combobox", NULL, WS_CHILD | WS_BORDER | style,
                       x, y, width, height, hParent, (HMENU)id, hInst, NULL );

  return hBox;
}


HWND CreateCheckBox( HWND hParent, HINSTANCE hInst, 
                     DWORD id, LPTSTR text,
                     int x, int y, int width, int height,
                     DWORD style )
{
  HWND hButton = NULL;

  hButton = CreateWindow( L"button", text, WS_CHILD | BS_AUTOCHECKBOX | style,
                          x, y, width, height, hParent, (HMENU)id, hInst, NULL );

  return hButton;         
}


HWND CreateRadioButton( HWND hParent, HINSTANCE hInst,
                        DWORD id, LPTSTR text,
                        int x, int y, int width, int height,
                        DWORD style )
{
  HWND hButton = NULL;

  hButton = CreateWindow( L"button", text, WS_CHILD | BS_AUTORADIOBUTTON | style,
                          x, y, width, height, hParent, (HMENU)id, hInst, NULL );

  return hButton;         
}

