/*>=-----------------------------------------------------------------------=<*
 * Vade Mecum: utilities module
 * Copyright 2003 by Jamis Buck
 * ------------------------------------------------------------------------
 * This file is part of Vade Mecum.
 *
 * Vade Mecum is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Vade Mecum is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Vade Mecum; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 * ------------------------------------------------------------------------
 * These utility functions are for creating controls that may be used on
 * dialog boxes.
 *
 * Author: Jamis Buck (jgb3@email.byu.edu)
 *>=-----------------------------------------------------------------------=<*/

#ifndef __UTILITIES_H__
#define __UTILITIES_H__


HWND CreateStaticControl( HWND hParent, HINSTANCE hInst, DWORD id,
                          LPTSTR text, int x, int y, int width, int height,
                          DWORD style );

HWND CreateEditControl( HWND hParent, HINSTANCE hInst, 
                        DWORD id, int x, int y, int width, int height,
                        DWORD style );

HWND CreateButtonControl( HWND hParent, HINSTANCE hInst, 
                          DWORD id, LPTSTR text,
                          int x, int y, int width, int height,
                          DWORD style, BOOL defbtn );

HWND CreateListBox( HWND hParent, HINSTANCE hInst, DWORD id,
                    int x, int y, int width, int height,
                    DWORD style );

HWND CreateComboBox( HWND hParent, HINSTANCE hInst, DWORD id,
                     int x, int y, int width, int height,
                     DWORD style );

HWND CreateCheckBox( HWND hParent, HINSTANCE hInst, 
                     DWORD id, LPTSTR text, 
                     int x, int y, int width, int height,
                     DWORD style );

HWND CreateRadioButton( HWND hParent, HINSTANCE hInst,
                        DWORD id, LPTSTR text,
                        int x, int y, int width, int height,
                        DWORD style );

#endif /* __UTILITIES_H__ */
